// Copyright (C) 2020 Daniel Mall
#pragma once
#include <cstdint>
#include "CDemoDispatch.h"
#include "CAudioMixer.h"

class CDemoGlobals
{
public:
	CDemoGlobals();
	~CDemoGlobals();

public:
	CDemoDispatch m_dispatch;

	//! audio mixer
	CAudioMixer* m_pAudio = nullptr;
};

//! global state
CDemoGlobals* global();
